/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.ergebniskonflikt.boundary;

import de.ivu.elect.business.ergebniskonflikt.entity.ErgebnisKonflikt;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class ErgebnisKonfliktDAO extends AbstractErgebnisKonfliktDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(ErgebnisKonflikt ergebnisKonflikt){
    getEntityManager().persist(ergebnisKonflikt);
  }

  public void remove(ErgebnisKonflikt ergebnisKonflikt){
    getEntityManager().remove(ergebnisKonflikt);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                    
        /**
        * Name: ErgebnisOrderByIdNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT k FROM ErgebnisKonflikt k WHERE k.ergebnis = ?1 ORDER BY k.id<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<ErgebnisKonflikt> findByErgebnisOrderById( @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Ergebnis ergebnis) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("ErgebnisKonflikt.findByErgebnisOrderById" ,  ergebnis  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByErgebnisOrderById( ergebnis  ));
        }
        return (java.util.List<ErgebnisKonflikt>) cached;
        }
            return super.findByErgebnisOrderById( ergebnis  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}